import React from 'react';
import { ContentRect } from 'react-measure';
import StickyTree, { StickyTreeProps, TreeNode } from './StickyTree';
export interface AutoSizedStickyTreeProps<TNodeType extends TreeNode = TreeNode, TMeta = any> extends Omit<StickyTreeProps<TNodeType, TMeta>, 'width' | 'height'> {
    onResize?: (rect: ContentRect) => void;
    treeRef?: React.Ref<StickyTree<TNodeType, TMeta>>;
    className?: string;
}
export interface AutoSizedStickyTreeState {
    width: number;
    height: number;
}
export default class AutoSizedStickyTree<TNodeType extends TreeNode = TreeNode, TMeta = any> extends React.PureComponent<AutoSizedStickyTreeProps<TNodeType, TMeta>, AutoSizedStickyTreeState> {
    constructor(props: AutoSizedStickyTreeProps<TNodeType, TMeta>);
    render(): JSX.Element;
}
